/* global wp, jQuery */
/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	wp.customize( 'ct_amulet_mobile_menu_btn_text', function( value ) {
		value.bind( function( to ) {
			$( 'button.menu-toggle' ).text( to );
		} );
	} );

    var root = $(':root');

    wp.customize( 'ct-amulet-primary-color', function( value ) {
		value.bind( function( to ) {
			root.css( '--accent', to );
		} );
	} );

    wp.customize( 'ct-amulet-link-color', function( value ) {
		value.bind( function( to ) {
			root.css( '--link', to );
		} );
	} );

    wp.customize( 'ct-amulet-link-hover', function( value ) {
		value.bind( function( to ) {
			root.css( '--link-hover', to );
		} );
	} );

    wp.customize( 'ct-amulet-link-active', function( value ) {
		value.bind( function( to ) {
			root.css( '--link-active', to );
		} );
	} );

    wp.customize( 'ct-amulet-link-visited', function( value ) {
		value.bind( function( to ) {
			root.css( '--link-visited', to );
		} );
	} );

    wp.customize( 'ct-amulet-nav-link-color', function( value ) {
		value.bind( function( to ) {
			root.css( '--nav-link', to );
		} );
	} );

    wp.customize( 'ct-amulet-nav-link-hover', function( value ) {
		value.bind( function( to ) {
			root.css( '--nav-link-hover', to );
		} );
	} );

    wp.customize( 'ct-amulet-nav-dd-bg-color', function( value ) {
		value.bind( function( to ) {
			root.css( '--nav-dd-bg', to );
		} );
	} );

    wp.customize( 'ct-amulet-top-bg', function( value ) {
		value.bind( function( to ) {
			root.css( '--top-bar-bg', to );
		} );
	} );

    wp.customize( 'ct-amulet-footer-bg', function( value ) {
		value.bind( function( to ) {
			root.css( '--footer-bg', to );
		} );
	} );

    wp.customize( 'ct-amulet-footer-text-color', function( value ) {
		value.bind( function( to ) {
			root.css( '--footer-text', to );
		} );
	} );

    wp.customize( 'ct-amulet-footer-link-color', function( value ) {
		value.bind( function( to ) {
			root.css( '--footer-link', to );
		} );
	} );

	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title, .site-description' ).css( {
					clip: 'rect(1px, 1px, 1px, 1px)',
					position: 'absolute',
				} );
			} else {
				$( '.site-title, .site-description' ).css( {
					clip: 'auto',
					position: 'relative',
				} );
				$( '.site-title a, .site-description' ).css( {
					color: to,
				} );
			}
		} );
	} );
}( jQuery ) );
