<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package CT_AMULET
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'ct-amulet' ); ?></a>

		<?php ct_amulet_masthead( get_theme_mod( 'ct_amulet_header_layout', 'classic' ), get_theme_mod('ct_amulet_header_width', 'container') ); ?>

	<div id="content" class="<?php echo esc_html( get_theme_mod( 'ct_amulet_site_layout', 'container' ) ) ?>">
		<div class="row">
