<?php
/**
 *  Customizer Controls for Colors Section
 */

function ct_amulet_colors_customize_register( $wp_customize ) {

    $wp_customize->add_setting(
		'ct-amulet-primary-color', array(
			'default'	=>	'#309eb7',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-primary-color', array(
				'label'		=>	esc_html__('Accent Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-primary-color'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-link-color', array(
			'default'	=>	'#777777',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-link-color', array(
				'label'		=>	esc_html__('Link Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-link-color'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-link-hover', array(
			'default'	=>	'#000000',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-link-hover', array(
				'label'		=>	esc_html__('Link Hover Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-link-hover'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-link-active', array(
			'default'	=>	'#000000',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-link-active', array(
				'label'		=>	esc_html__('Link Active Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-link-active'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-link-visited', array(
			'default'	=>	'#000000',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-link-visited', array(
				'label'		=>	esc_html__('Link Visited Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-link-visited'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-nav-link-color', array(
			'default'	=>	'#000000',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-nav-link-color', array(
				'label'		=>	esc_html__('Nav Link Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-nav-link-color'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-nav-link-hover', array(
			'default'	=>	'#000000',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-nav-link-hover', array(
				'label'		=>	esc_html__('Nav Link Hover Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-nav-link-hover'
			)
		)
	);

    $wp_customize->add_setting(
		'ct-amulet-nav-dd-bg-color', array(
			'default'	=>	'#fafafa',
			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport' =>  'postMessage'
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'ct-amulet-nav-dd-bg-color', array(
				'label'		=>	esc_html__('Nav Dropdown Background Color', 'ct-amulet'),
				'section'	=>	'colors',
				'settings'	=>	'ct-amulet-nav-dd-bg-color'
			)
		)
	);
}
add_action('customize_register', 'ct_amulet_colors_customize_register');
