<?php
/**
 *  Customizer Section for Footer
 */

 function ct_amulet_customize_register_footer( $wp_customize ) {

    $wp_customize->add_section(
        'ct_amulet_footer_section', array(
            'title'    => esc_html__('Footer', 'ct-amulet'),
            'panel'    => 'ct_amulet_theme_options',
            'priority' => 100,
        )
    );

     $wp_customize->add_setting(
         'ct_amulet_footer_text', array(
             'default'  => '',
             'sanitize_callback'    =>  'sanitize_text_field'
         )
     );

     $wp_customize->add_control(
         'ct_amulet_footer_text', array(
             'label'    =>  esc_html__('Custom Footer Text', 'ct-amulet'),
             'description'  =>  esc_html__('Will show Default Text if empty', 'ct-amulet'),
             'priority' =>  10,
             'type'     =>  'text',
             'section'  => 'ct_amulet_footer_section'
         )
     );

     $wp_customize->add_setting(
 		'ct-amulet-footer-bg', array(
 			'default'	=>	'#309eb7',
 			'sanitize_callback'	=>	'sanitize_hex_color',
            'transport'          =>  'postMessage'
 		)
 	);

 	$wp_customize->add_control(
 		new WP_Customize_Color_Control(
 			$wp_customize, 'ct-amulet-footer-bg', array(
 				'label'		=>	esc_html__('Footer Background Color', 'ct-amulet'),
 				'section'	=>	'ct_amulet_footer_section',
 				'settings'	=>	'ct-amulet-footer-bg'
 			)
 		)
 	);

    $wp_customize->add_setting(
       'ct-amulet-footer-text-color', array(
           'default'	=>	'#ffffff',
           'sanitize_callback'	=>	'sanitize_hex_color',
           'transport'          =>  'postMessage'
       )
   );

   $wp_customize->add_control(
       new WP_Customize_Color_Control(
           $wp_customize, 'ct-amulet-footer-text-color', array(
               'label'		=>	esc_html__('Footer Text Color', 'ct-amulet'),
               'section'	=>	'ct_amulet_footer_section',
               'settings'	=>	'ct-amulet-footer-text-color'
           )
       )
   );

    $wp_customize->add_setting(
       'ct-amulet-footer-link-color', array(
           'default'	=>	'#ffffff',
           'sanitize_callback'	=>	'sanitize_hex_color',
           'transport'          =>  'postMessage'
       )
   );

   $wp_customize->add_control(
       new WP_Customize_Color_Control(
           $wp_customize, 'ct-amulet-footer-link-color', array(
               'label'		=>	esc_html__('Footer Link Color', 'ct-amulet'),
               'section'	=>	'ct_amulet_footer_section',
               'settings'	=>	'ct-amulet-footer-link-color'
           )
       )
   );
 }
 add_action('customize_register', 'ct_amulet_customize_register_footer');
