<?php
/**
 *  Customizer Controls for the Header
 */
function ct_amulet_header_customize_register( $wp_customize ) {

    $wp_customize->add_section(
        'ct_amulet_header_options', array(
            'title'     =>  __('Header', 'ct-amulet'),
            'panel'     =>  'ct_amulet_theme_options',
            'priority'  =>  10
        )
    );

    $wp_customize->add_setting(
        'ct_amulet_header_layout', array(
            'default'   =>  'classic',
            'sanitize_callback' =>  'ct_amulet_sanitize_radio'
        )
    );

    $wp_customize->add_control(
        'ct_amulet_header_layout', array(
            'label'     =>  __('Header Layout', 'ct-amulet'),
            'type'      =>  'radio',
            'section'   =>  'ct_amulet_header_options',
        'choices'   =>  array(
                'basic'     =>  __('Basic', 'ct-amulet'),
                'classic'   =>  __('Classic', 'ct-amulet'),
                'banner'    =>  __('Banner', 'ct-amulet'),
            )
        )
    );

    $wp_customize->add_setting(
        'ct_amulet_header_width', array(
            'default'   =>  'container',
            'sanitize_callback' =>  'ct_amulet_sanitize_radio'
        )
    );

    $wp_customize->add_control(
        'ct_amulet_header_width', array(
            'label'     =>  __('Header Width', 'ct-amulet'),
            'type'      =>  'radio',
            'section'   =>  'ct_amulet_header_options',
        'choices'   =>  array(
                'container'         =>  __('Boxed', 'ct-amulet'),
                'container-fluid'   =>  __('Full Width', 'ct-amulet')
            )
        )
    );

    $wp_customize->add_setting(
        'ct_amulet_header_overlay_enable', array(
            'default'       =>  1,
            'sanitize_callback' =>  'ct_amulet_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'ct_amulet_header_overlay_enable', array(
            'label'     =>  __('Enable Header Overlay', 'ct-amulet'),
            'type'      =>  'checkbox',
            'section'   =>  'ct_amulet_header_options'
        )
    );

    $header_control = $wp_customize->get_control( 'ct_amulet_header_overlay_enable' );

    $header_control->active_callback = function( $control ) {
        $setting = $control->manager->get_setting( 'ct_amulet_header_layout' );
        if (  $setting->value() == 'banner' ) {
            return true;
        } else {
            return false;
        }
    };

    $header_control = $wp_customize->get_control( 'ct_amulet_header_width' );

    $header_control->active_callback = function( $control ) {
        $setting = $control->manager->get_setting( 'ct_amulet_header_layout' );
        if (  $setting->value() == 'banner' ) {
            return false;
        } else {
            return true;
        }
    };
}
add_action('customize_register', 'ct_amulet_header_customize_register');
